Package org.jboss.modules

# Class AliasModuleSpec

java.lang.Object
org.jboss.modules.ModuleSpec
org.jboss.modules.AliasModuleSpec

public final class AliasModuleSpec extends ModuleSpec
A module specification for a module alias.

Author:
  David M. Lloyd

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.modules.ModuleSpec

`ModuleSpec.AliasBuilder, ModuleSpec.Builder`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAliasName()`
Get the module alias name.
`ModuleIdentifier`
`getAliasTarget()`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getAliasName()` instead.

### Methods inherited from class org.jboss.modules.ModuleSpec

`build, build, buildAlias, buildAlias, getModuleIdentifier, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAliasTarget

@Deprecated(forRemoval=true) public ModuleIdentifier getAliasTarget()
Deprecated, for removal: This API element is subject to removal in a future version.
Use `getAliasName()` instead.
Get the module alias target.

Returns:
  the module alias target

### getAliasName

public String getAliasName()
Get the module alias name.

Returns:
  the module alias name